<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer4Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer4_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer4Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer_defs_8h_source.html">kmTimerDefs.h</a>&quot;</code><br />
</div>
<p><a href="km_timer4_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:af45ab379435ac065f3b7b6d1bcee9539" id="r_af45ab379435ac065f3b7b6d1bcee9539"><td class="memItemLeft" align="right" valign="top"><a id="af45ab379435ac065f3b7b6d1bcee9539" name="af45ab379435ac065f3b7b6d1bcee9539"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TIMSK4</b></td></tr>
<tr class="separator:af45ab379435ac065f3b7b6d1bcee9539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5d787d130e1208d2dceb6a741eefa3" id="r_aad5d787d130e1208d2dceb6a741eefa3"><td class="memItemLeft" align="right" valign="top"><a id="aad5d787d130e1208d2dceb6a741eefa3" name="aad5d787d130e1208d2dceb6a741eefa3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>COM4C0</b></td></tr>
<tr class="separator:aad5d787d130e1208d2dceb6a741eefa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07102cb8c1857412cb05396660a29abb" id="r_a07102cb8c1857412cb05396660a29abb"><td class="memItemLeft" align="right" valign="top"><a id="a07102cb8c1857412cb05396660a29abb" name="a07102cb8c1857412cb05396660a29abb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_BOTTOM</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">KM_TCC_BOTOM</a></td></tr>
<tr class="memdesc:a07102cb8c1857412cb05396660a29abb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines bottom value for Timer4. <br /></td></tr>
<tr class="separator:a07102cb8c1857412cb05396660a29abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5692e7f351b7999a49446a4d2599a1d0" id="r_a5692e7f351b7999a49446a4d2599a1d0"><td class="memItemLeft" align="right" valign="top"><a id="a5692e7f351b7999a49446a4d2599a1d0" name="a5692e7f351b7999a49446a4d2599a1d0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_MAX</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="memdesc:a5692e7f351b7999a49446a4d2599a1d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines top value for Timer4. <br /></td></tr>
<tr class="separator:a5692e7f351b7999a49446a4d2599a1d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a004f103b992a9c7828a03a617df8bde5" id="r_a004f103b992a9c7828a03a617df8bde5"><td class="memItemLeft" align="right" valign="top"><a id="a004f103b992a9c7828a03a617df8bde5" name="a004f103b992a9c7828a03a617df8bde5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_TOP_8_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">KM_TCC_TOP_1</a></td></tr>
<tr class="separator:a004f103b992a9c7828a03a617df8bde5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab50b248bb8e5b53c58eb20b72c6da09" id="r_aab50b248bb8e5b53c58eb20b72c6da09"><td class="memItemLeft" align="right" valign="top"><a id="aab50b248bb8e5b53c58eb20b72c6da09" name="aab50b248bb8e5b53c58eb20b72c6da09"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_TOP_9_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a04f810cdda0a757c02bfe3bfdc3d43b1">KM_TCC_TOP_5</a></td></tr>
<tr class="separator:aab50b248bb8e5b53c58eb20b72c6da09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a9dffdad7e6e1c195b7acd51be27d9d" id="r_a9a9dffdad7e6e1c195b7acd51be27d9d"><td class="memItemLeft" align="right" valign="top"><a id="a9a9dffdad7e6e1c195b7acd51be27d9d" name="a9a9dffdad7e6e1c195b7acd51be27d9d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_TOP_10_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a26a06431ee77d5cb04cc2fe62c3e8ecd">KM_TCC_TOP_4</a></td></tr>
<tr class="separator:a9a9dffdad7e6e1c195b7acd51be27d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bc99cb3aa1a424edfe2aba67e08d28b" id="r_a1bc99cb3aa1a424edfe2aba67e08d28b"><td class="memItemLeft" align="right" valign="top"><a id="a1bc99cb3aa1a424edfe2aba67e08d28b" name="a1bc99cb3aa1a424edfe2aba67e08d28b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_TOP_16_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="separator:a1bc99cb3aa1a424edfe2aba67e08d28b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a9674f2b60f8e4994f1010d479a07fa" id="r_a5a9674f2b60f8e4994f1010d479a07fa"><td class="memItemLeft" align="right" valign="top"><a id="a5a9674f2b60f8e4994f1010d479a07fa" name="a5a9674f2b60f8e4994f1010d479a07fa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER4_MID</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a1c5d0cb0398e739d6de912f0be341688">KM_TCC_MID_3</a></td></tr>
<tr class="memdesc:a5a9674f2b60f8e4994f1010d479a07fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines mid value for Timer4. <br /></td></tr>
<tr class="separator:a5a9674f2b60f8e4994f1010d479a07fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07cc50f1a03697745c62f1664620f842" id="r_a07cc50f1a03697745c62f1664620f842"><td class="memItemLeft" align="right" valign="top"><a id="a07cc50f1a03697745c62f1664620f842" name="a07cc50f1a03697745c62f1664620f842"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_STOP</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED				)</td></tr>
<tr class="memdesc:a07cc50f1a03697745c62f1664620f842"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Disabled. <br /></td></tr>
<tr class="separator:a07cc50f1a03697745c62f1664620f842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c3501a5c72d9db3f9d60b5d5bb158df" id="r_a5c3501a5c72d9db3f9d60b5d5bb158df"><td class="memItemLeft" align="right" valign="top"><a id="a5c3501a5c72d9db3f9d60b5d5bb158df" name="a5c3501a5c72d9db3f9d60b5d5bb158df"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PRSC_1</b>&#160;&#160;&#160;(						_BV(CS40)	)</td></tr>
<tr class="memdesc:a5c3501a5c72d9db3f9d60b5d5bb158df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:a5c3501a5c72d9db3f9d60b5d5bb158df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff38660efa414ef075a043627d025b9d" id="r_aff38660efa414ef075a043627d025b9d"><td class="memItemLeft" align="right" valign="top"><a id="aff38660efa414ef075a043627d025b9d" name="aff38660efa414ef075a043627d025b9d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PRSC_8</b>&#160;&#160;&#160;(			_BV(CS41)				)</td></tr>
<tr class="memdesc:aff38660efa414ef075a043627d025b9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Prescaler 1 / 8. <br /></td></tr>
<tr class="separator:aff38660efa414ef075a043627d025b9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f59e6188ac8a0de7621b0c0e31be03a" id="r_a8f59e6188ac8a0de7621b0c0e31be03a"><td class="memItemLeft" align="right" valign="top"><a id="a8f59e6188ac8a0de7621b0c0e31be03a" name="a8f59e6188ac8a0de7621b0c0e31be03a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PRSC_64</b>&#160;&#160;&#160;(				_BV(CS41) |	_BV(CS40)	)</td></tr>
<tr class="memdesc:a8f59e6188ac8a0de7621b0c0e31be03a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:a8f59e6188ac8a0de7621b0c0e31be03a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a082137289e55d5296aa3627f9cd44cb7" id="r_a082137289e55d5296aa3627f9cd44cb7"><td class="memItemLeft" align="right" valign="top"><a id="a082137289e55d5296aa3627f9cd44cb7" name="a082137289e55d5296aa3627f9cd44cb7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PRSC_256</b>&#160;&#160;&#160;(_BV(CS42)							)</td></tr>
<tr class="memdesc:a082137289e55d5296aa3627f9cd44cb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:a082137289e55d5296aa3627f9cd44cb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45931d5bf98cf9440bfa53588b5257c" id="r_ad45931d5bf98cf9440bfa53588b5257c"><td class="memItemLeft" align="right" valign="top"><a id="ad45931d5bf98cf9440bfa53588b5257c" name="ad45931d5bf98cf9440bfa53588b5257c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS42) |			_BV(CS40)	)</td></tr>
<tr class="memdesc:ad45931d5bf98cf9440bfa53588b5257c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:ad45931d5bf98cf9440bfa53588b5257c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7f5dc06c4e4efd5ae44c98fb00eb63c" id="r_ab7f5dc06c4e4efd5ae44c98fb00eb63c"><td class="memItemLeft" align="right" valign="top"><a id="ab7f5dc06c4e4efd5ae44c98fb00eb63c" name="ab7f5dc06c4e4efd5ae44c98fb00eb63c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_EXT_T4_FAL</b>&#160;&#160;&#160;(_BV(CS42) |_BV(CS41)				)</td></tr>
<tr class="memdesc:ab7f5dc06c4e4efd5ae44c98fb00eb63c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Enabled on falling signal. <br /></td></tr>
<tr class="separator:ab7f5dc06c4e4efd5ae44c98fb00eb63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa02b63097438ef3b5d9c107290666bb1" id="r_aa02b63097438ef3b5d9c107290666bb1"><td class="memItemLeft" align="right" valign="top"><a id="aa02b63097438ef3b5d9c107290666bb1" name="aa02b63097438ef3b5d9c107290666bb1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_EXT_T4_RIS</b>&#160;&#160;&#160;(_BV(CS42) |_BV(CS41) |	_BV(CS40)	)</td></tr>
<tr class="memdesc:aa02b63097438ef3b5d9c107290666bb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer4 - Enabled on rising signal. <br /></td></tr>
<tr class="separator:aa02b63097438ef3b5d9c107290666bb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5f2378916ab0ccddb96d5a5f3cb2e6b" id="r_ac5f2378916ab0ccddb96d5a5f3cb2e6b"><td class="memItemLeft" align="right" valign="top"><a id="ac5f2378916ab0ccddb96d5a5f3cb2e6b" name="ac5f2378916ab0ccddb96d5a5f3cb2e6b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#aa02b63097438ef3b5d9c107290666bb1">KM_TCC4_EXT_T4_RIS</a></td></tr>
<tr class="memdesc:ac5f2378916ab0ccddb96d5a5f3cb2e6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer4 (allows to clear prescaler) <br /></td></tr>
<tr class="separator:ac5f2378916ab0ccddb96d5a5f3cb2e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d8525984add01629c223ad5fe7edaca" id="r_a8d8525984add01629c223ad5fe7edaca"><td class="memItemLeft" align="right" valign="top"><a id="a8d8525984add01629c223ad5fe7edaca" name="a8d8525984add01629c223ad5fe7edaca"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_0_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a8d8525984add01629c223ad5fe7edaca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 0 (Reg.A) - Normal top value 0xFFFF. <br /></td></tr>
<tr class="separator:a8d8525984add01629c223ad5fe7edaca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4fcafd7599ed7044031f63d868d2dfc" id="r_ae4fcafd7599ed7044031f63d868d2dfc"><td class="memItemLeft" align="right" valign="top"><a id="ae4fcafd7599ed7044031f63d868d2dfc" name="ae4fcafd7599ed7044031f63d868d2dfc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_0_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ae4fcafd7599ed7044031f63d868d2dfc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 0 (Reg.B) <br /></td></tr>
<tr class="separator:ae4fcafd7599ed7044031f63d868d2dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a576857c0508fe8748e9cf6711c47ef2c" id="r_a576857c0508fe8748e9cf6711c47ef2c"><td class="memItemLeft" align="right" valign="top"><a id="a576857c0508fe8748e9cf6711c47ef2c" name="a576857c0508fe8748e9cf6711c47ef2c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_1_A</b>&#160;&#160;&#160;(												_BV(WGM40)	)</td></tr>
<tr class="memdesc:a576857c0508fe8748e9cf6711c47ef2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 1 (Reg.A) - PWM, Phase Correct, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:a576857c0508fe8748e9cf6711c47ef2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086cc67039f74a30def0c5fa67435f89" id="r_a086cc67039f74a30def0c5fa67435f89"><td class="memItemLeft" align="right" valign="top"><a id="a086cc67039f74a30def0c5fa67435f89" name="a086cc67039f74a30def0c5fa67435f89"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_1_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a086cc67039f74a30def0c5fa67435f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 1 (Reg.B) <br /></td></tr>
<tr class="separator:a086cc67039f74a30def0c5fa67435f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dde339bb6c41fc7f2ad64abfa01ca5f" id="r_a1dde339bb6c41fc7f2ad64abfa01ca5f"><td class="memItemLeft" align="right" valign="top"><a id="a1dde339bb6c41fc7f2ad64abfa01ca5f" name="a1dde339bb6c41fc7f2ad64abfa01ca5f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_2_A</b>&#160;&#160;&#160;(								_BV(WGM41)					)</td></tr>
<tr class="memdesc:a1dde339bb6c41fc7f2ad64abfa01ca5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 2 (Reg.A) - PWM, Phase Correct, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:a1dde339bb6c41fc7f2ad64abfa01ca5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcf4d46bf21fc7f4058ade8bef029e0" id="r_afdcf4d46bf21fc7f4058ade8bef029e0"><td class="memItemLeft" align="right" valign="top"><a id="afdcf4d46bf21fc7f4058ade8bef029e0" name="afdcf4d46bf21fc7f4058ade8bef029e0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_2_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:afdcf4d46bf21fc7f4058ade8bef029e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 2 (Reg.B) <br /></td></tr>
<tr class="separator:afdcf4d46bf21fc7f4058ade8bef029e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9e1b46e85f9e99f84dc62441fdb7c0a" id="r_ae9e1b46e85f9e99f84dc62441fdb7c0a"><td class="memItemLeft" align="right" valign="top"><a id="ae9e1b46e85f9e99f84dc62441fdb7c0a" name="ae9e1b46e85f9e99f84dc62441fdb7c0a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_3_A</b>&#160;&#160;&#160;(								_BV(WGM41) |	_BV(WGM40)	)</td></tr>
<tr class="memdesc:ae9e1b46e85f9e99f84dc62441fdb7c0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 3 (Reg.A) - PWM, Phase Correct, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:ae9e1b46e85f9e99f84dc62441fdb7c0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe26d1c8039d9bdc167b4ce7bddf53f" id="r_aafe26d1c8039d9bdc167b4ce7bddf53f"><td class="memItemLeft" align="right" valign="top"><a id="aafe26d1c8039d9bdc167b4ce7bddf53f" name="aafe26d1c8039d9bdc167b4ce7bddf53f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_3_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:aafe26d1c8039d9bdc167b4ce7bddf53f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 3 (Reg.B) <br /></td></tr>
<tr class="separator:aafe26d1c8039d9bdc167b4ce7bddf53f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e94f1bee93897f7ba9219ad0c05a2e8" id="r_a8e94f1bee93897f7ba9219ad0c05a2e8"><td class="memItemLeft" align="right" valign="top"><a id="a8e94f1bee93897f7ba9219ad0c05a2e8" name="a8e94f1bee93897f7ba9219ad0c05a2e8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_4_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a8e94f1bee93897f7ba9219ad0c05a2e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 4 (Reg.A) - CTC with OCR3A as top. <br /></td></tr>
<tr class="separator:a8e94f1bee93897f7ba9219ad0c05a2e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55558b0e2d3e7a551b1fb04ab804431a" id="r_a55558b0e2d3e7a551b1fb04ab804431a"><td class="memItemLeft" align="right" valign="top"><a id="a55558b0e2d3e7a551b1fb04ab804431a" name="a55558b0e2d3e7a551b1fb04ab804431a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_4_B</b>&#160;&#160;&#160;(				_BV(WGM42)									)</td></tr>
<tr class="memdesc:a55558b0e2d3e7a551b1fb04ab804431a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 4 (Reg.B) <br /></td></tr>
<tr class="separator:a55558b0e2d3e7a551b1fb04ab804431a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55fb4a7f60d3809557d46b38fe19099" id="r_ae55fb4a7f60d3809557d46b38fe19099"><td class="memItemLeft" align="right" valign="top"><a id="ae55fb4a7f60d3809557d46b38fe19099" name="ae55fb4a7f60d3809557d46b38fe19099"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_5_A</b>&#160;&#160;&#160;(												_BV(WGM40)	)</td></tr>
<tr class="memdesc:ae55fb4a7f60d3809557d46b38fe19099"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 5 (Reg.A) - Fast PWM, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:ae55fb4a7f60d3809557d46b38fe19099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1375fe33100f7e775ac2087bc2f31d3" id="r_ac1375fe33100f7e775ac2087bc2f31d3"><td class="memItemLeft" align="right" valign="top"><a id="ac1375fe33100f7e775ac2087bc2f31d3" name="ac1375fe33100f7e775ac2087bc2f31d3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_5_B</b>&#160;&#160;&#160;(				_BV(WGM42)									)</td></tr>
<tr class="memdesc:ac1375fe33100f7e775ac2087bc2f31d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:ac1375fe33100f7e775ac2087bc2f31d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac082f97151e62102ad93caa87f956537" id="r_ac082f97151e62102ad93caa87f956537"><td class="memItemLeft" align="right" valign="top"><a id="ac082f97151e62102ad93caa87f956537" name="ac082f97151e62102ad93caa87f956537"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_6_A</b>&#160;&#160;&#160;(								_BV(WGM41)					)</td></tr>
<tr class="memdesc:ac082f97151e62102ad93caa87f956537"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 6 (Reg.A) - Fast PWM, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:ac082f97151e62102ad93caa87f956537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca68891c113475e447291be5f1325ac" id="r_adca68891c113475e447291be5f1325ac"><td class="memItemLeft" align="right" valign="top"><a id="adca68891c113475e447291be5f1325ac" name="adca68891c113475e447291be5f1325ac"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_6_B</b>&#160;&#160;&#160;(				_BV(WGM42)									)</td></tr>
<tr class="memdesc:adca68891c113475e447291be5f1325ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:adca68891c113475e447291be5f1325ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a198f0d570b3e3badb496ca009fa95338" id="r_a198f0d570b3e3badb496ca009fa95338"><td class="memItemLeft" align="right" valign="top"><a id="a198f0d570b3e3badb496ca009fa95338" name="a198f0d570b3e3badb496ca009fa95338"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_7_A</b>&#160;&#160;&#160;(								_BV(WGM41) |	_BV(WGM40)	)</td></tr>
<tr class="memdesc:a198f0d570b3e3badb496ca009fa95338"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 7 (Reg.A) - Fast PWM, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:a198f0d570b3e3badb496ca009fa95338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48800d0e81c6642bd4b42caddd87daba" id="r_a48800d0e81c6642bd4b42caddd87daba"><td class="memItemLeft" align="right" valign="top"><a id="a48800d0e81c6642bd4b42caddd87daba" name="a48800d0e81c6642bd4b42caddd87daba"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_7_B</b>&#160;&#160;&#160;(				_BV(WGM42)									)</td></tr>
<tr class="memdesc:a48800d0e81c6642bd4b42caddd87daba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 7 (Reg.B) <br /></td></tr>
<tr class="separator:a48800d0e81c6642bd4b42caddd87daba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4031cda237c8058965f2d3c04f21035" id="r_ae4031cda237c8058965f2d3c04f21035"><td class="memItemLeft" align="right" valign="top"><a id="ae4031cda237c8058965f2d3c04f21035" name="ae4031cda237c8058965f2d3c04f21035"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_8_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:ae4031cda237c8058965f2d3c04f21035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 8 (Reg.A) - PWM, Phase and Frequency Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:ae4031cda237c8058965f2d3c04f21035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03c220a3326b573763b0585474525c39" id="r_a03c220a3326b573763b0585474525c39"><td class="memItemLeft" align="right" valign="top"><a id="a03c220a3326b573763b0585474525c39" name="a03c220a3326b573763b0585474525c39"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_8_B</b>&#160;&#160;&#160;(_BV(WGM43)													)</td></tr>
<tr class="memdesc:a03c220a3326b573763b0585474525c39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 8 (Reg.B) <br /></td></tr>
<tr class="separator:a03c220a3326b573763b0585474525c39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883e6439409f665e65a16ffda1a63e2b" id="r_a883e6439409f665e65a16ffda1a63e2b"><td class="memItemLeft" align="right" valign="top"><a id="a883e6439409f665e65a16ffda1a63e2b" name="a883e6439409f665e65a16ffda1a63e2b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_9_A</b>&#160;&#160;&#160;(												_BV(WGM40)	)</td></tr>
<tr class="memdesc:a883e6439409f665e65a16ffda1a63e2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 9 (Reg.A) - PWM, Phase and Frequency Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:a883e6439409f665e65a16ffda1a63e2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f2307d710b2378a3918f507bb21a2d9" id="r_a7f2307d710b2378a3918f507bb21a2d9"><td class="memItemLeft" align="right" valign="top"><a id="a7f2307d710b2378a3918f507bb21a2d9" name="a7f2307d710b2378a3918f507bb21a2d9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_9_B</b>&#160;&#160;&#160;(_BV(WGM43)													)</td></tr>
<tr class="memdesc:a7f2307d710b2378a3918f507bb21a2d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 9 (Reg.B) <br /></td></tr>
<tr class="separator:a7f2307d710b2378a3918f507bb21a2d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e7e03754d097b147f9aa34eefa49b61" id="r_a9e7e03754d097b147f9aa34eefa49b61"><td class="memItemLeft" align="right" valign="top"><a id="a9e7e03754d097b147f9aa34eefa49b61" name="a9e7e03754d097b147f9aa34eefa49b61"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_A_A</b>&#160;&#160;&#160;(								_BV(WGM41)					)</td></tr>
<tr class="memdesc:a9e7e03754d097b147f9aa34eefa49b61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 10 (Reg.A) - PWM, Phase Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:a9e7e03754d097b147f9aa34eefa49b61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f3f90df3b3d41eff30b274cbd9afc4" id="r_a32f3f90df3b3d41eff30b274cbd9afc4"><td class="memItemLeft" align="right" valign="top"><a id="a32f3f90df3b3d41eff30b274cbd9afc4" name="a32f3f90df3b3d41eff30b274cbd9afc4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_A_B</b>&#160;&#160;&#160;(_BV(WGM43)													)</td></tr>
<tr class="memdesc:a32f3f90df3b3d41eff30b274cbd9afc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 10 (Reg.B) <br /></td></tr>
<tr class="separator:a32f3f90df3b3d41eff30b274cbd9afc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad592b0ca818ba473cd6ba5a0427b6dbe" id="r_ad592b0ca818ba473cd6ba5a0427b6dbe"><td class="memItemLeft" align="right" valign="top"><a id="ad592b0ca818ba473cd6ba5a0427b6dbe" name="ad592b0ca818ba473cd6ba5a0427b6dbe"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_B_A</b>&#160;&#160;&#160;(								_BV(WGM41) |	_BV(WGM40)	)</td></tr>
<tr class="memdesc:ad592b0ca818ba473cd6ba5a0427b6dbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 11 (Reg.A) - PWM, Phase Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:ad592b0ca818ba473cd6ba5a0427b6dbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6879de2e012544daf5f968c3bfaeabd5" id="r_a6879de2e012544daf5f968c3bfaeabd5"><td class="memItemLeft" align="right" valign="top"><a id="a6879de2e012544daf5f968c3bfaeabd5" name="a6879de2e012544daf5f968c3bfaeabd5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_B_B</b>&#160;&#160;&#160;(_BV(WGM43)													)</td></tr>
<tr class="memdesc:a6879de2e012544daf5f968c3bfaeabd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 11 (Reg.B) <br /></td></tr>
<tr class="separator:a6879de2e012544daf5f968c3bfaeabd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb36e2642f829b0fa4508be0abe60f2f" id="r_adb36e2642f829b0fa4508be0abe60f2f"><td class="memItemLeft" align="right" valign="top"><a id="adb36e2642f829b0fa4508be0abe60f2f" name="adb36e2642f829b0fa4508be0abe60f2f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_C_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:adb36e2642f829b0fa4508be0abe60f2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 12 (Reg.A) - CTC with ICR3 as top. <br /></td></tr>
<tr class="separator:adb36e2642f829b0fa4508be0abe60f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43719596b9cd56c42f82db77db7018f3" id="r_a43719596b9cd56c42f82db77db7018f3"><td class="memItemLeft" align="right" valign="top"><a id="a43719596b9cd56c42f82db77db7018f3" name="a43719596b9cd56c42f82db77db7018f3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_C_B</b>&#160;&#160;&#160;(_BV(WGM43) |	_BV(WGM42)									)</td></tr>
<tr class="memdesc:a43719596b9cd56c42f82db77db7018f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 12 (Reg.B) <br /></td></tr>
<tr class="separator:a43719596b9cd56c42f82db77db7018f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f522f4666eb401f0c8d7b5b87a89bd4" id="r_a5f522f4666eb401f0c8d7b5b87a89bd4"><td class="memItemLeft" align="right" valign="top"><a id="a5f522f4666eb401f0c8d7b5b87a89bd4" name="a5f522f4666eb401f0c8d7b5b87a89bd4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_D_A</b>&#160;&#160;&#160;(												_BV(WGM40)	)</td></tr>
<tr class="memdesc:a5f522f4666eb401f0c8d7b5b87a89bd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 13 (Reg.A) - Reserved. <br /></td></tr>
<tr class="separator:a5f522f4666eb401f0c8d7b5b87a89bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d295d1848a119014960e98c551de73" id="r_a39d295d1848a119014960e98c551de73"><td class="memItemLeft" align="right" valign="top"><a id="a39d295d1848a119014960e98c551de73" name="a39d295d1848a119014960e98c551de73"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_D_B</b>&#160;&#160;&#160;(_BV(WGM43) |	_BV(WGM42)									)</td></tr>
<tr class="memdesc:a39d295d1848a119014960e98c551de73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 13 (Reg.B) <br /></td></tr>
<tr class="separator:a39d295d1848a119014960e98c551de73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad59220b2bbb2d7b9fec7c7ea5411fa21" id="r_ad59220b2bbb2d7b9fec7c7ea5411fa21"><td class="memItemLeft" align="right" valign="top"><a id="ad59220b2bbb2d7b9fec7c7ea5411fa21" name="ad59220b2bbb2d7b9fec7c7ea5411fa21"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_E_A</b>&#160;&#160;&#160;(								_BV(WGM41)					)</td></tr>
<tr class="memdesc:ad59220b2bbb2d7b9fec7c7ea5411fa21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 14 (Reg.A) - Fast PWM with ICR3 as top. <br /></td></tr>
<tr class="separator:ad59220b2bbb2d7b9fec7c7ea5411fa21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac19e0b53585f74c49e61c3c4c2e29432" id="r_ac19e0b53585f74c49e61c3c4c2e29432"><td class="memItemLeft" align="right" valign="top"><a id="ac19e0b53585f74c49e61c3c4c2e29432" name="ac19e0b53585f74c49e61c3c4c2e29432"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_E_B</b>&#160;&#160;&#160;(_BV(WGM43) |	_BV(WGM42)									)</td></tr>
<tr class="memdesc:ac19e0b53585f74c49e61c3c4c2e29432"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 14 (Reg.B) <br /></td></tr>
<tr class="separator:ac19e0b53585f74c49e61c3c4c2e29432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a653f5aa22f0ac116ff952b00e6fd7f09" id="r_a653f5aa22f0ac116ff952b00e6fd7f09"><td class="memItemLeft" align="right" valign="top"><a id="a653f5aa22f0ac116ff952b00e6fd7f09" name="a653f5aa22f0ac116ff952b00e6fd7f09"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_F_A</b>&#160;&#160;&#160;(								_BV(WGM41) |	_BV(WGM40)	)</td></tr>
<tr class="memdesc:a653f5aa22f0ac116ff952b00e6fd7f09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 15 (Reg.A) - Fast PWM with OCR3A as top. <br /></td></tr>
<tr class="separator:a653f5aa22f0ac116ff952b00e6fd7f09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e62630dfd5cd77104f93dd9d30fa1c2" id="r_a2e62630dfd5cd77104f93dd9d30fa1c2"><td class="memItemLeft" align="right" valign="top"><a id="a2e62630dfd5cd77104f93dd9d30fa1c2" name="a2e62630dfd5cd77104f93dd9d30fa1c2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_F_B</b>&#160;&#160;&#160;(_BV(WGM43) |	_BV(WGM42)									)</td></tr>
<tr class="memdesc:a2e62630dfd5cd77104f93dd9d30fa1c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer4 mode 15 (Reg.B) <br /></td></tr>
<tr class="separator:a2e62630dfd5cd77104f93dd9d30fa1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a925015ac098798281065da159cb4a7bc" id="r_a925015ac098798281065da159cb4a7bc"><td class="memItemLeft" align="right" valign="top"><a id="a925015ac098798281065da159cb4a7bc" name="a925015ac098798281065da159cb4a7bc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_MASK_A</b>&#160;&#160;&#160;<a class="el" href="#a653f5aa22f0ac116ff952b00e6fd7f09">KM_TCC4_MODE_F_A</a></td></tr>
<tr class="memdesc:a925015ac098798281065da159cb4a7bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer4 (reg. A) (helps to clear mode) <br /></td></tr>
<tr class="separator:a925015ac098798281065da159cb4a7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d525f5662ab0b6f421dfed06a7bd082" id="r_a4d525f5662ab0b6f421dfed06a7bd082"><td class="memItemLeft" align="right" valign="top"><a id="a4d525f5662ab0b6f421dfed06a7bd082" name="a4d525f5662ab0b6f421dfed06a7bd082"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_MODE_MASK_B</b>&#160;&#160;&#160;<a class="el" href="#a2e62630dfd5cd77104f93dd9d30fa1c2">KM_TCC4_MODE_F_B</a></td></tr>
<tr class="memdesc:a4d525f5662ab0b6f421dfed06a7bd082"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer4 (reg. B) <br /></td></tr>
<tr class="separator:a4d525f5662ab0b6f421dfed06a7bd082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff284e5d11cbe92d9e06d9f407602978" id="r_aff284e5d11cbe92d9e06d9f407602978"><td class="memItemLeft" align="right" valign="top"><a id="aff284e5d11cbe92d9e06d9f407602978" name="aff284e5d11cbe92d9e06d9f407602978"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_A_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:aff284e5d11cbe92d9e06d9f407602978"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:aff284e5d11cbe92d9e06d9f407602978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e2c473b6d871dd8d193adbbcf35a07" id="r_ad1e2c473b6d871dd8d193adbbcf35a07"><td class="memItemLeft" align="right" valign="top"><a id="ad1e2c473b6d871dd8d193adbbcf35a07" name="ad1e2c473b6d871dd8d193adbbcf35a07"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_A_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM4A0)	)</td></tr>
<tr class="memdesc:ad1e2c473b6d871dd8d193adbbcf35a07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1A on compare match. <br /></td></tr>
<tr class="separator:ad1e2c473b6d871dd8d193adbbcf35a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d4fb8ec2da610bb6aff3e81ff45bd79" id="r_a3d4fb8ec2da610bb6aff3e81ff45bd79"><td class="memItemLeft" align="right" valign="top"><a id="a3d4fb8ec2da610bb6aff3e81ff45bd79" name="a3d4fb8ec2da610bb6aff3e81ff45bd79"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_A_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM4A1)				)</td></tr>
<tr class="memdesc:a3d4fb8ec2da610bb6aff3e81ff45bd79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1A on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a3d4fb8ec2da610bb6aff3e81ff45bd79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad419e6e9de5fb07d12ce9760705e56c9" id="r_ad419e6e9de5fb07d12ce9760705e56c9"><td class="memItemLeft" align="right" valign="top"><a id="ad419e6e9de5fb07d12ce9760705e56c9" name="ad419e6e9de5fb07d12ce9760705e56c9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_A_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM4A1) |	_BV(COM4A0)	)</td></tr>
<tr class="memdesc:ad419e6e9de5fb07d12ce9760705e56c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1A on compare match (set output to high level) <br /></td></tr>
<tr class="separator:ad419e6e9de5fb07d12ce9760705e56c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32be124de0b9629d94bb56938e7a6e61" id="r_a32be124de0b9629d94bb56938e7a6e61"><td class="memItemLeft" align="right" valign="top"><a id="a32be124de0b9629d94bb56938e7a6e61" name="a32be124de0b9629d94bb56938e7a6e61"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_COMP_A_MASK</b>&#160;&#160;&#160;<a class="el" href="#ad419e6e9de5fb07d12ce9760705e56c9">KM_TCC4_A_COMP_OUT_SET</a></td></tr>
<tr class="separator:a32be124de0b9629d94bb56938e7a6e61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad44b1f93add1fcbfdae2e7cd3040bc35" id="r_ad44b1f93add1fcbfdae2e7cd3040bc35"><td class="memItemLeft" align="right" valign="top"><a id="ad44b1f93add1fcbfdae2e7cd3040bc35" name="ad44b1f93add1fcbfdae2e7cd3040bc35"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_B_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ad44b1f93add1fcbfdae2e7cd3040bc35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:ad44b1f93add1fcbfdae2e7cd3040bc35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40a0bff22c804eea26fe6faf2bc04123" id="r_a40a0bff22c804eea26fe6faf2bc04123"><td class="memItemLeft" align="right" valign="top"><a id="a40a0bff22c804eea26fe6faf2bc04123" name="a40a0bff22c804eea26fe6faf2bc04123"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_B_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM4B0)	)</td></tr>
<tr class="memdesc:a40a0bff22c804eea26fe6faf2bc04123"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:a40a0bff22c804eea26fe6faf2bc04123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a051c95e7da10c89cd805ec832d68ec1e" id="r_a051c95e7da10c89cd805ec832d68ec1e"><td class="memItemLeft" align="right" valign="top"><a id="a051c95e7da10c89cd805ec832d68ec1e" name="a051c95e7da10c89cd805ec832d68ec1e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_B_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM4B1)				)</td></tr>
<tr class="memdesc:a051c95e7da10c89cd805ec832d68ec1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a051c95e7da10c89cd805ec832d68ec1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6403b960b33ab2e5ee76594dfc00bcc6" id="r_a6403b960b33ab2e5ee76594dfc00bcc6"><td class="memItemLeft" align="right" valign="top"><a id="a6403b960b33ab2e5ee76594dfc00bcc6" name="a6403b960b33ab2e5ee76594dfc00bcc6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_B_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM4B1) |	_BV(COM4B0)	)</td></tr>
<tr class="memdesc:a6403b960b33ab2e5ee76594dfc00bcc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a6403b960b33ab2e5ee76594dfc00bcc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1de3a9fa6fe99e4381ad847ddf12568" id="r_af1de3a9fa6fe99e4381ad847ddf12568"><td class="memItemLeft" align="right" valign="top"><a id="af1de3a9fa6fe99e4381ad847ddf12568" name="af1de3a9fa6fe99e4381ad847ddf12568"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_COMP_B_MASK</b>&#160;&#160;&#160;<a class="el" href="#a6403b960b33ab2e5ee76594dfc00bcc6">KM_TCC4_B_COMP_OUT_SET</a></td></tr>
<tr class="separator:af1de3a9fa6fe99e4381ad847ddf12568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b7aaebc5be328947842990afd4cc19" id="r_ad9b7aaebc5be328947842990afd4cc19"><td class="memItemLeft" align="right" valign="top"><a id="ad9b7aaebc5be328947842990afd4cc19" name="ad9b7aaebc5be328947842990afd4cc19"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_C_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ad9b7aaebc5be328947842990afd4cc19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:ad9b7aaebc5be328947842990afd4cc19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3cf822343e2559c42119f9cdde8a7d6" id="r_aa3cf822343e2559c42119f9cdde8a7d6"><td class="memItemLeft" align="right" valign="top"><a id="aa3cf822343e2559c42119f9cdde8a7d6" name="aa3cf822343e2559c42119f9cdde8a7d6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_C_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM4C0)	)</td></tr>
<tr class="memdesc:aa3cf822343e2559c42119f9cdde8a7d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:aa3cf822343e2559c42119f9cdde8a7d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f2c68b43b4b7d434decf2df0e26ee0" id="r_a09f2c68b43b4b7d434decf2df0e26ee0"><td class="memItemLeft" align="right" valign="top"><a id="a09f2c68b43b4b7d434decf2df0e26ee0" name="a09f2c68b43b4b7d434decf2df0e26ee0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_C_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM4C1)				)</td></tr>
<tr class="memdesc:a09f2c68b43b4b7d434decf2df0e26ee0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a09f2c68b43b4b7d434decf2df0e26ee0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8b7520964fac7452d9cd5430aaadd14" id="r_ac8b7520964fac7452d9cd5430aaadd14"><td class="memItemLeft" align="right" valign="top"><a id="ac8b7520964fac7452d9cd5430aaadd14" name="ac8b7520964fac7452d9cd5430aaadd14"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_C_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM4C1) |	_BV(COM4C0)	)</td></tr>
<tr class="memdesc:ac8b7520964fac7452d9cd5430aaadd14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:ac8b7520964fac7452d9cd5430aaadd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95db82b55068118977f7ca939e1d7378" id="r_a95db82b55068118977f7ca939e1d7378"><td class="memItemLeft" align="right" valign="top"><a id="a95db82b55068118977f7ca939e1d7378" name="a95db82b55068118977f7ca939e1d7378"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_COMP_C_MASK</b>&#160;&#160;&#160;<a class="el" href="#ac8b7520964fac7452d9cd5430aaadd14">KM_TCC4_C_COMP_OUT_SET</a></td></tr>
<tr class="separator:a95db82b55068118977f7ca939e1d7378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3b918f63867911f2546ac2e01115179" id="r_ac3b918f63867911f2546ac2e01115179"><td class="memItemLeft" align="right" valign="top"><a id="ac3b918f63867911f2546ac2e01115179" name="ac3b918f63867911f2546ac2e01115179"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_A_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ac3b918f63867911f2546ac2e01115179"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3A disconnected. <br /></td></tr>
<tr class="separator:ac3b918f63867911f2546ac2e01115179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88cb7f80afad71498c444a1df31a1ea8" id="r_a88cb7f80afad71498c444a1df31a1ea8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a88cb7f80afad71498c444a1df31a1ea8">KM_TCC4_A_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM4A0)	)</td></tr>
<tr class="separator:a88cb7f80afad71498c444a1df31a1ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a000fe2edf133a49d3cffe8038d8b0086" id="r_a000fe2edf133a49d3cffe8038d8b0086"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a000fe2edf133a49d3cffe8038d8b0086">KM_TCC4_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM4A1)				)</td></tr>
<tr class="separator:a000fe2edf133a49d3cffe8038d8b0086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3f20ac087d45dcee1041cb96120935" id="r_a2d3f20ac087d45dcee1041cb96120935"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2d3f20ac087d45dcee1041cb96120935">KM_TCC4_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM4A1) |	_BV(COM4A0)	)</td></tr>
<tr class="separator:a2d3f20ac087d45dcee1041cb96120935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac71afe6ce18fa4c71f4e0b14c8fd1567" id="r_ac71afe6ce18fa4c71f4e0b14c8fd1567"><td class="memItemLeft" align="right" valign="top"><a id="ac71afe6ce18fa4c71f4e0b14c8fd1567" name="ac71afe6ce18fa4c71f4e0b14c8fd1567"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_B_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ac71afe6ce18fa4c71f4e0b14c8fd1567"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3B disconnected. <br /></td></tr>
<tr class="separator:ac71afe6ce18fa4c71f4e0b14c8fd1567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e5e3e853bbc06d4c775468bc745760" id="r_ab2e5e3e853bbc06d4c775468bc745760"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab2e5e3e853bbc06d4c775468bc745760">KM_TCC4_B_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM4B0)	)</td></tr>
<tr class="separator:ab2e5e3e853bbc06d4c775468bc745760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad04a45063ecd12c8197eee953aa39513" id="r_ad04a45063ecd12c8197eee953aa39513"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad04a45063ecd12c8197eee953aa39513">KM_TCC4_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM4B1)				)</td></tr>
<tr class="separator:ad04a45063ecd12c8197eee953aa39513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50af5b1c540bafb41b423b29fb3a42b" id="r_ad50af5b1c540bafb41b423b29fb3a42b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad50af5b1c540bafb41b423b29fb3a42b">KM_TCC4_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM4B1) |	_BV(COM4B0)	)</td></tr>
<tr class="separator:ad50af5b1c540bafb41b423b29fb3a42b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf05f1be07367409341b00e611bf7343" id="r_abf05f1be07367409341b00e611bf7343"><td class="memItemLeft" align="right" valign="top"><a id="abf05f1be07367409341b00e611bf7343" name="abf05f1be07367409341b00e611bf7343"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_C_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:abf05f1be07367409341b00e611bf7343"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3Cdisconnected. <br /></td></tr>
<tr class="separator:abf05f1be07367409341b00e611bf7343"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abd3585d49941b09d0fbcdfc55855ad" id="r_a8abd3585d49941b09d0fbcdfc55855ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8abd3585d49941b09d0fbcdfc55855ad">KM_TCC4_C_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM4C0)	)</td></tr>
<tr class="separator:a8abd3585d49941b09d0fbcdfc55855ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add49787f603dc8ea51990b60539d5fe4" id="r_add49787f603dc8ea51990b60539d5fe4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#add49787f603dc8ea51990b60539d5fe4">KM_TCC4_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM4C1)				)</td></tr>
<tr class="separator:add49787f603dc8ea51990b60539d5fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde7df15f21f0e216f533b75bbb1d8e5" id="r_abde7df15f21f0e216f533b75bbb1d8e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abde7df15f21f0e216f533b75bbb1d8e5">KM_TCC4_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM4C1) |	_BV(COM4C0)	)</td></tr>
<tr class="separator:abde7df15f21f0e216f533b75bbb1d8e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d773ffc69f363de26981fe99c49526" id="r_a03d773ffc69f363de26981fe99c49526"><td class="memItemLeft" align="right" valign="top"><a id="a03d773ffc69f363de26981fe99c49526" name="a03d773ffc69f363de26981fe99c49526"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_KM_TCC4_INT_MASK_REG</b>&#160;&#160;&#160;TIMSK4</td></tr>
<tr class="separator:a03d773ffc69f363de26981fe99c49526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146d33c3cef33a47600299e1f7028b99" id="r_a146d33c3cef33a47600299e1f7028b99"><td class="memItemLeft" align="right" valign="top"><a id="a146d33c3cef33a47600299e1f7028b99" name="a146d33c3cef33a47600299e1f7028b99"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_DDR</b>&#160;&#160;&#160;DDRH</td></tr>
<tr class="memdesc:a146d33c3cef33a47600299e1f7028b99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction register o Timer4 PWM outputs. <br /></td></tr>
<tr class="separator:a146d33c3cef33a47600299e1f7028b99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae17727a29280d0a178318a3d66b6f31" id="r_aae17727a29280d0a178318a3d66b6f31"><td class="memItemLeft" align="right" valign="top"><a id="aae17727a29280d0a178318a3d66b6f31" name="aae17727a29280d0a178318a3d66b6f31"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_PORT</b>&#160;&#160;&#160;PORTH</td></tr>
<tr class="memdesc:aae17727a29280d0a178318a3d66b6f31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port register of Timer4 PWM outputs. <br /></td></tr>
<tr class="separator:aae17727a29280d0a178318a3d66b6f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b2b79ab8b5b253bf2dcca16197b7c43" id="r_a6b2b79ab8b5b253bf2dcca16197b7c43"><td class="memItemLeft" align="right" valign="top"><a id="a6b2b79ab8b5b253bf2dcca16197b7c43" name="a6b2b79ab8b5b253bf2dcca16197b7c43"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_PIN_A</b>&#160;&#160;&#160;PH3</td></tr>
<tr class="memdesc:a6b2b79ab8b5b253bf2dcca16197b7c43"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM pin A of Timer4. <br /></td></tr>
<tr class="separator:a6b2b79ab8b5b253bf2dcca16197b7c43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d8e7eba59673f65617cc0171ac8c70a" id="r_a9d8e7eba59673f65617cc0171ac8c70a"><td class="memItemLeft" align="right" valign="top"><a id="a9d8e7eba59673f65617cc0171ac8c70a" name="a9d8e7eba59673f65617cc0171ac8c70a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_PIN_B</b>&#160;&#160;&#160;PH4</td></tr>
<tr class="memdesc:a9d8e7eba59673f65617cc0171ac8c70a"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin B of Timer4. <br /></td></tr>
<tr class="separator:a9d8e7eba59673f65617cc0171ac8c70a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6486a93dc48f7a440c54ca668450707d" id="r_a6486a93dc48f7a440c54ca668450707d"><td class="memItemLeft" align="right" valign="top"><a id="a6486a93dc48f7a440c54ca668450707d" name="a6486a93dc48f7a440c54ca668450707d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_PIN_C</b>&#160;&#160;&#160;PH5</td></tr>
<tr class="memdesc:a6486a93dc48f7a440c54ca668450707d"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin C of Timer4. <br /></td></tr>
<tr class="separator:a6486a93dc48f7a440c54ca668450707d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741a352f6b427aa50abb56a85225f351" id="r_a741a352f6b427aa50abb56a85225f351"><td class="memItemLeft" align="right" valign="top"><a id="a741a352f6b427aa50abb56a85225f351" name="a741a352f6b427aa50abb56a85225f351"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_ICP4_PIN</b>&#160;&#160;&#160;PL0</td></tr>
<tr class="memdesc:a741a352f6b427aa50abb56a85225f351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture Pin. <br /></td></tr>
<tr class="separator:a741a352f6b427aa50abb56a85225f351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4de306ab9083a29b05c64a89e2c5b0" id="r_aab4de306ab9083a29b05c64a89e2c5b0"><td class="memItemLeft" align="right" valign="top"><a id="aab4de306ab9083a29b05c64a89e2c5b0" name="aab4de306ab9083a29b05c64a89e2c5b0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_ICP4_PORT_DDR</b>&#160;&#160;&#160;DDRL</td></tr>
<tr class="memdesc:aab4de306ab9083a29b05c64a89e2c5b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture DDR. <br /></td></tr>
<tr class="separator:aab4de306ab9083a29b05c64a89e2c5b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d466d8ef157eefa524eaaae1c331e5" id="r_a46d466d8ef157eefa524eaaae1c331e5"><td class="memItemLeft" align="right" valign="top"><a id="a46d466d8ef157eefa524eaaae1c331e5" name="a46d466d8ef157eefa524eaaae1c331e5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_ICP4_PORT_OUTPUT</b>&#160;&#160;&#160;PORTL</td></tr>
<tr class="memdesc:a46d466d8ef157eefa524eaaae1c331e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture output port. <br /></td></tr>
<tr class="separator:a46d466d8ef157eefa524eaaae1c331e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8669bb92ee8a49b19417a6e20c80660" id="r_af8669bb92ee8a49b19417a6e20c80660"><td class="memItemLeft" align="right" valign="top"><a id="af8669bb92ee8a49b19417a6e20c80660" name="af8669bb92ee8a49b19417a6e20c80660"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_ICP4_PORT_INPUT</b>&#160;&#160;&#160;PORTL</td></tr>
<tr class="memdesc:af8669bb92ee8a49b19417a6e20c80660"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture input port. <br /></td></tr>
<tr class="separator:af8669bb92ee8a49b19417a6e20c80660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed8b79c8462dd2ac58ce8f7cd396fda1" id="r_aed8b79c8462dd2ac58ce8f7cd396fda1"><td class="memItemLeft" align="right" valign="top"><a id="aed8b79c8462dd2ac58ce8f7cd396fda1" name="aed8b79c8462dd2ac58ce8f7cd396fda1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_T4_PIN</b>&#160;&#160;&#160;PH7</td></tr>
<tr class="memdesc:aed8b79c8462dd2ac58ce8f7cd396fda1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter4 Input Clock input Pin. <br /></td></tr>
<tr class="separator:aed8b79c8462dd2ac58ce8f7cd396fda1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad11a9dcbed06c555445fbc5cb312bafd" id="r_ad11a9dcbed06c555445fbc5cb312bafd"><td class="memItemLeft" align="right" valign="top"><a id="ad11a9dcbed06c555445fbc5cb312bafd" name="ad11a9dcbed06c555445fbc5cb312bafd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_BV_A</b>&#160;&#160;&#160;_BV(<a class="el" href="#a6b2b79ab8b5b253bf2dcca16197b7c43">KM_TCC4_PWM_PIN_A</a>)</td></tr>
<tr class="memdesc:ad11a9dcbed06c555445fbc5cb312bafd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin A of Timer4. <br /></td></tr>
<tr class="separator:ad11a9dcbed06c555445fbc5cb312bafd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5362e142b512b98cc9cc52911cfb7003" id="r_a5362e142b512b98cc9cc52911cfb7003"><td class="memItemLeft" align="right" valign="top"><a id="a5362e142b512b98cc9cc52911cfb7003" name="a5362e142b512b98cc9cc52911cfb7003"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_BV_B</b>&#160;&#160;&#160;_BV(<a class="el" href="#a9d8e7eba59673f65617cc0171ac8c70a">KM_TCC4_PWM_PIN_B</a>)</td></tr>
<tr class="memdesc:a5362e142b512b98cc9cc52911cfb7003"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin B of Timer4. <br /></td></tr>
<tr class="separator:a5362e142b512b98cc9cc52911cfb7003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c37810cab07dcbae3c53d1eac1f5f2f" id="r_a1c37810cab07dcbae3c53d1eac1f5f2f"><td class="memItemLeft" align="right" valign="top"><a id="a1c37810cab07dcbae3c53d1eac1f5f2f" name="a1c37810cab07dcbae3c53d1eac1f5f2f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC4_PWM_BV_C</b>&#160;&#160;&#160;_BV(<a class="el" href="#a6486a93dc48f7a440c54ca668450707d">KM_TCC4_PWM_PIN_C</a>)</td></tr>
<tr class="memdesc:a1c37810cab07dcbae3c53d1eac1f5f2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin C of Timer4. <br /></td></tr>
<tr class="separator:a1c37810cab07dcbae3c53d1eac1f5f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="km_timer4_defs_8h.html">kmTimer4Defs.h</a></p>
<p><b>Created on</b>: 12/25/2023 7:14:34 PM <br  />
 Author: Krzysztof Moskwa License: GPL-3.0-or-later</p>
<p>Copyright (C) 2023 Krzysztof Moskwa <a class="el" href="km_timer4_defs_8h.html">kmTimer4Defs.h</a> This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a000fe2edf133a49d3cffe8038d8b0086" name="a000fe2edf133a49d3cffe8038d8b0086"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a000fe2edf133a49d3cffe8038d8b0086">&#9670;&#160;</a></span>KM_TCC4_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM4A1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3A on Compare Match, set OC3A at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3A on Compare Match when up-counting. Set OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a2d3f20ac087d45dcee1041cb96120935" name="a2d3f20ac087d45dcee1041cb96120935"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d3f20ac087d45dcee1041cb96120935">&#9670;&#160;</a></span>KM_TCC4_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM4A1) |	_BV(COM4A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3A on Compare Match, clear OC3A at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a88cb7f80afad71498c444a1df31a1ea8" name="a88cb7f80afad71498c444a1df31a1ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88cb7f80afad71498c444a1df31a1ea8">&#9670;&#160;</a></span>KM_TCC4_A_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_A_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM4A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3A Disconnected <br  />
WGM02 = 1: Toggle OC3A on Compare Match </p>

</div>
</div>
<a id="ad04a45063ecd12c8197eee953aa39513" name="ad04a45063ecd12c8197eee953aa39513"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad04a45063ecd12c8197eee953aa39513">&#9670;&#160;</a></span>KM_TCC4_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM4B1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3B on Compare Match, set OC3B at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3B on Compare Match when up-counting. Set OC3B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="ad50af5b1c540bafb41b423b29fb3a42b" name="ad50af5b1c540bafb41b423b29fb3a42b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50af5b1c540bafb41b423b29fb3a42b">&#9670;&#160;</a></span>KM_TCC4_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM4B1) |	_BV(COM4B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3B on Compare Match, clear OC3B at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="ab2e5e3e853bbc06d4c775468bc745760" name="ab2e5e3e853bbc06d4c775468bc745760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e5e3e853bbc06d4c775468bc745760">&#9670;&#160;</a></span>KM_TCC4_B_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_B_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM4B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3B Disconnected <br  />
WGM02 = 1: Toggle OC3B on Compare Match </p>

</div>
</div>
<a id="add49787f603dc8ea51990b60539d5fe4" name="add49787f603dc8ea51990b60539d5fe4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add49787f603dc8ea51990b60539d5fe4">&#9670;&#160;</a></span>KM_TCC4_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM4C1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3C on Compare Match, set OC3c at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3C on Compare Match when up-counting. Set OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="abde7df15f21f0e216f533b75bbb1d8e5" name="abde7df15f21f0e216f533b75bbb1d8e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abde7df15f21f0e216f533b75bbb1d8e5">&#9670;&#160;</a></span>KM_TCC4_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM4C1) |	_BV(COM4C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3C on Compare Match, clear OC3C at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3C on Compare Match when up-counting. Clear OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a8abd3585d49941b09d0fbcdfc55855ad" name="a8abd3585d49941b09d0fbcdfc55855ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8abd3585d49941b09d0fbcdfc55855ad">&#9670;&#160;</a></span>KM_TCC4_C_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC4_C_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM4C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3C Disconnected <br  />
WGM02 = 1: Toggle OC3C on Compare Match </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer4_defs_8h.html">kmTimer4Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
